Bug 129076 - Most programs fail to build on i586
Most programs fail to build on i586
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-03 15:31 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 16:42:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-03 15:31:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.2.6

Description of problem:
I have tried to build various programs on FC3T1 on my home PC which is
a K6/2 
90% fail nearly immediately with "internal compiler error - illiegal
instruction"

example kernel

make menuconfig
scripts/basic/fixdep
unable to parse config file
internal compiler error - illiegal instruction

On my work box I have no problems at all which is a duron (i686)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see above
    

Additional info:
Comment 1 Jakub Jelinek 2004-08-12 04:31:19 EDT
You haven't specified which exact gcc rpm you are using.
Recently GCC stopped using some prefetch instructions which are supposed
to be ignored on arches that don't implement them, but e.g. VIA C3
and maybe K6/2 as well don't comply.
Comment 2 Need Real Name 2004-08-12 04:58:59 EDT
With standard gcc from FC3T1 nothing compiles, pretty much.

If I use the compat 33 rpms I have more success, though I still cant
get the kernel to compile. (it does get past the make menuconfig
stage, but then bombs very quickly, afraid I cant remember the file it
fails on)
Comment 3 Jakub Jelinek 2004-08-12 05:06:00 EDT
That's the problem.  The gcc change went in gcc-3.4.1-3, i.e. right
after FC3T1.  Just update to gcc packages from rawhide.

Note You need to log in before you can comment on or make changes to this bug.